Subject: bug#4136: 23.1; delete-pair

From: Stefan Monnier <[email-masked]>
Date: Fri, 14 Aug 2009 11:50:12 -0400

> Here is a version that checks that does exactly what Martin suggested.
> It even fails on something like (...] -- which is very useful for
> keyboard macros, since if you have that text in a buffer, then
> something is probably messed up enough to require your attention.

There's always a tension in such cases.  E.g. for interactive use, I'd
rather we allow such (..] cases, since it may occasionally come in handy
(whereas the beep will come as a major annoyance, where Emacs will
appear to the user as being dogmatic).

        Stefan